MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022934Community[OCCT] OCCT:Data Exchangepublic2012-01-30 14:102012-04-16 12:26
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022934: Wrong delete operator in IGESSelect_SelectFromDrawing.cxx / IGESSelect_SelectFromSingleView.cxx
DescriptionIGESSelect_SelectFromDrawing.cxx (line 44) / IGESSelect_SelectFromSingleView.cxx (line 31) should use the "delete []" operator as arrays are deleted.
Additional information
and documentation updates
Delete some unused code in IGESSelect/IGESSelect_SelectFromDrawing::RootResult(), IGESSelect_SelectFromSingleView::RootResult()
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships

-  Notes
(0019304)
abv (manager)
2012-01-30 14:29

I guess we shall remove use of variable nums and other irrelevant code around it in both these classes, as it is not used (at least I do not see any use of it -- it was probably some debug stuff?).
(0019494)
ama (developer)
2012-02-09 17:13

SVN branch http://svn/svn/occt/branches/OCC22934 [^] (revision 10394) is ready to be reviewed.
(0019498)
abv (manager)
2012-02-09 17:49

No remarks, please test
(0019512)
mkv (tester)
2012-02-10 16:38
edited on: 2012-02-10 16:42

Dear BugMaster,
Workbench KAS:dev:mkv-22934-occt was created from SVN branch http://svn/svn/occt/branches/OCC22934 [^]
(and mkv-22934-products from trunk) and compiled on Linux platform.

(0019533)
aan (tester)
2012-02-13 17:05
edited on: 2012-02-13 17:06

Dear BugMaster,
Workbench KAS:dev:mkv-22934-occt from SVN branch http://svn/svn/occt/branches/OCC22934 [^]
(and mkv-22934-products from trunk) was successfully compiled and tested on Linux.

There are following regressions in mkv-22934-products regarding to KAS:dev:products-20120210-opt

chl 934 P9

See results in /QADisk/occttests/results/KAS/dev/mkv-22934-products_10022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019535)
abv (manager)
2012-02-13 18:46

The case chl 934 P9 should not be considered a regression here: it corresponds to issue #22967 which has been integrated to trunk (rev 10423) after last merge of branch OCC22934 with trunk (rev 10418).
(0019634)
bugmaster (administrator)
2012-02-17 16:06

Integrated into trunk of occt repository

Date: 2012-02-17 16:04:22 +0400 (Fri, 17 Feb 2012)
New Revision: 10508

Modified:
   trunk/src/IGESSelect/IGESSelect_SelectFromDrawing.cxx
   trunk/src/IGESSelect/IGESSelect_SelectFromSingleView.cxx
(0020370)
Pawel (developer)
2012-04-12 17:13

Verified. Please close.

- Related Changesets
occt: master 65c01700
Timestamp: 2012-02-17 12:04:22
Author: ama
Committer: bugmaster
Details ] Diff ]
0022934: Wrong delete operator in IGESSelect_SelectFromDrawing.cxx / IGESSelect_SelectFromSingleView.cxx
mod - src/IGESSelect/IGESSelect_SelectFromDrawing.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectFromSingleView.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 14:10 Pawel New Issue
2012-01-30 14:10 Pawel Assigned To => gka
2012-01-30 14:29 abv Note Added: 0019304
2012-01-30 14:29 abv Assigned To gka => ama
2012-01-30 14:29 abv Status new => assigned
2012-02-09 17:13 ama Note Added: 0019494
2012-02-09 17:13 ama Assigned To ama => abv
2012-02-09 17:13 ama Status assigned => resolved
2012-02-09 17:49 abv Note Added: 0019498
2012-02-09 17:49 abv Assigned To abv => ama
2012-02-09 17:49 abv Status resolved => reviewed
2012-02-10 16:38 mkv Note Added: 0019512
2012-02-10 16:42 mkv Note Edited: 0019512 View Revisions
2012-02-10 18:15 ama Additional Information Updated View Revisions
2012-02-13 17:05 aan Note Added: 0019533
2012-02-13 17:05 aan Test case number => test case is not required
2012-02-13 17:06 aan Note Edited: 0019533 View Revisions
2012-02-13 17:06 aan Note Edited: 0019533 View Revisions
2012-02-13 17:13 aan Status reviewed => assigned
2012-02-13 18:46 abv Note Added: 0019535
2012-02-13 18:47 abv Status assigned => resolved
2012-02-13 18:47 abv Status resolved => reviewed
2012-02-13 18:47 abv Status reviewed => tested
2012-02-17 16:05 bugmaster Assigned To ama => Pawel
2012-02-17 16:05 bugmaster Target Version => 6.5.3
2012-02-17 16:06 bugmaster Note Added: 0019634
2012-02-17 16:06 bugmaster Status tested => verified
2012-02-17 16:06 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 65c01700
2012-04-12 17:13 Pawel Note Added: 0020370
2012-04-16 12:26 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker